%define oname mathgl
Name: lib%oname
Version: 1.9
Release: alt1

Summary: Library of fast C++ routines for the plotting of the data

License: LGPL
Group: System/Libraries
Url: http://www.sf.net/projects/mathgl/

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://prdownloads.sf.net/%oname/%oname-%version.tar.bz2
#Patch: libmathgl-fix-gsl-checking.patch
Patch: %name-python.patch
Patch1: %name-libltdl.patch
Patch2: %name-gcc44.patch

# manually removed: gcc-fortran
# Automatically added by buildreq on Mon Jul 06 2009
BuildRequires: gcc-c++ libGL-devel libfreeglut-devel libgomp-devel libgsl-devel libhdf5-6-seq libjpeg-devel libpng-devel nvidia_glx_185.18.14 python-devel python-module-numpy swig

%description
MathGL is a free library of fast C++ routines for the plotting of the data
varied in one or more dimensions. It uses OpenGL (www.opengl.org)
for the plotting. Also there is a simple window interface based on
GLUT. This provides high compatibility with any operating system
(really any which has OpenGL-like libraries).

%package devel
Summary: Header files for %name
Group: Development/Other
Requires: %name = %version-%release

%description devel
Header files for %name library.

%package -n python-module-mathgl
Summary: Python module for %name
Group: System/Libraries
Requires: %name = %version-%release

%description -n python-module-mathgl
Python module for %name.

%prep
%setup -q -n %oname-%version
#%patch
#%patch1
#%patch2

%build
#%autoreconf
#--enable-hdf5 
%configure --enable-tiff --enable-jpeg --enable-python \
	--disable-static
# TODO:  --enable-fltk
%make_build

%install
%makeinstall_std

%files
%_bindir/mgl2*
%doc AUTHORS README NEWS
%_libdir/libmgl.so.5.0.0
%_libdir/libmgl.so.5
%_datadir/mathgl/

%files devel
%doc examples/
%_bindir/mgl_example
%_libdir/libmgl.so
%_includedir/mgl/

%files -n python-module-mathgl
%python_sitelibdir/*

%changelog
* Thu Jul 09 2009 Vitaly Lipatov <lav@altlinux.ru> 1.9-alt1
- new version (1.9) import in git

* Wed Jun 03 2009 Vitaly Lipatov <lav@altlinux.ru> 1.8.1-alt2
- rebuild with libhdf5 v1.8.3

* Thu Apr 23 2009 Vitaly Lipatov <lav@altlinux.ru> 1.8.1-alt1
- new version 1.8.1 (with rpmrb script)
- enable python module build

* Wed Dec 24 2008 Vitaly Lipatov <lav@altlinux.ru> 1.8-alt1
- new version 1.8 (with rpmrb script)
- update buildreq, cleanup spec

* Wed Oct 31 2007 Vitaly Lipatov <lav@altlinux.ru> 1.4-alt1
- new version 1.4 (with rpmrb script)
- soname changed

* Mon Oct 08 2007 Vitaly Lipatov <lav@altlinux.ru> 1.2.2-alt1
- new version 1.2.2 (with rpmrb script)

* Sun Sep 16 2007 Vitaly Lipatov <lav@altlinux.ru> 1.2.1-alt1
- initial build for ALT Linux Sisyphus
